<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="wrap_content"
    android:layout_height="wrap_content"
    android:orientation="vertical">

    <ImageView
        android:id="@+id/iv_arrow_up"
        android:layout_width="20dp"
        android:layout_height="20dp"
        android:layout_gravity="center_horizontal"
        android:layout_marginBottom="-10dp"
        android:scaleType="centerCrop"
        android:src="@drawable/icon_arrow_up"
        android:visibility="gone"
        />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:background="@drawable/message_bac_long"
        android:padding="10dp">

        <ImageView
            android:id="@+id/iv_withdraw"
            android:layout_width="24dp"
            android:layout_height="24dp"
            android:src="@drawable/message_icon_withdraw"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="撤回"
            android:textColor="@color/black"
            android:textSize="12sp"
            app:layout_constraintEnd_toEndOf="@id/iv_withdraw"
            app:layout_constraintStart_toStartOf="@+id/iv_withdraw"
            app:layout_constraintTop_toBottomOf="@id/iv_withdraw" />

        <ImageView
            android:id="@+id/iv_share"
            android:layout_width="24dp"
            android:layout_height="24dp"
            android:layout_marginStart="8dp"
            android:src="@drawable/message_icon_share"
            app:layout_constraintBottom_toBottomOf="@id/iv_withdraw"
            app:layout_constraintStart_toEndOf="@id/iv_withdraw"
            app:layout_constraintTop_toTopOf="@id/iv_withdraw" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="分享"
            android:textColor="@color/black"
            android:textSize="12sp"
            app:layout_constraintEnd_toEndOf="@id/iv_share"
            app:layout_constraintStart_toStartOf="@+id/iv_share"
            app:layout_constraintTop_toBottomOf="@id/iv_share" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <ImageView
        android:id="@+id/iv_arrow_down"
        android:layout_width="20dp"
        android:layout_height="20dp"
        android:layout_gravity="center_horizontal"
        android:layout_marginTop="-10dp"
        android:scaleType="centerCrop"
        android:visibility="gone"
        android:src="@drawable/icon_arrow_down" />


</LinearLayout>